<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('band_origin_data_times', function (Blueprint $table) {
            $table->id();
            $table->integer('user_id')->unsigned()->comment("用户id");
            $table->integer('band_id')->unsigned()->comment("手环id");
            $table->string("sleep_time",11)->nullable()->comment("睡眠时间");
            $table->string('temp_time', 11)->nullable()->comment("体温时间");
            $table->string('hrrest_time', 11)->nullable()->comment("心率时间");
            $table->string("hrv_time", 11)->nullable()->comment("hrv时间");
            $table->string("syn_time", 11)->nullable()->comment("综合时间");
            $table->string("blood_time", 11)->nullable()->comment("血氧时间");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('band_origin_data_times');
    }
};
